#!/usr/bin/env python

import os
import os.path
import re
import struct
import sys

app = sys.argv.pop(0)
in1_fn = sys.argv.pop(0)
in2_fn = sys.argv.pop(0)
out_fn = sys.argv.pop(0)

in1_f = file(in1_fn, "rb")
in1 = in1_f.read()
in1_f.close()

in2_f = file(in2_fn, "rb")
in2 = in2_f.read()
in2_f.close()

if len(in1) != len(in2):
    raise Exception("File lengths differ")

hdr1 = in1[:54]
hdr2 = in1[:54]

if hdr1 != hdr2:
    raise Exception("Headers differ")

def scale(x):
    x *= 100
    if x > 255:
        return 255
    return x

out_f = file(out_fn, "wb")
out_f.write(in1[:54])
for i in range(54, len(in1)):
    out_f.write(chr(scale(abs(ord(in1[i]) - abs(ord(in2[i]))))))
out_f.close()

